package com.ozs.service.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/15
 */
@Data
public class AlarmStatisticDto {
    /**
     * 报警唯一标识
     */
    private String alarmId;
    /**
     * 线路名称
     */
    @Excel(name = "线路名称")
    private String railwayName;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报警时间")
    private Date alarmTime;

    /**
     * 行别编码
     */
    private String lineDir;

    /**
     * 行别
     */
    @Excel(name = "行别")
    private String lineDirValue;

    /**
     * 报警类型编码
     */
    private String alarmType;

    /**
     * 报警类型
     */
    @Excel(name = "报警类型")
    private String alarmTypeValue;

    /**
     * 报警里程位置
     */
    @Excel(name = "里程位置")
    private String alarmMile;

    /**
     * 监控范围开始里程位置
     */
    private Integer beginMile;

    /**
     * 监控范围结束里程位置
     */
    private Integer endMile;
}
